# Magento Plugin

**Shopversion:** 
MAgento 1.9.x

**Also needed:** 

**Module Path:** 
/app/code/local/Micropayment/

**Specials:** 
none

---

## ChangeLog

v1.1.8

* core update 1.2.4
* added email notifications for most transaction types
* sepa and ccard logo stylable
* fixed some style issues

v1.1.7

* added expireDays to prepay
* core update to 1.2.3
* creditcard 3d secure 2.0 on API 2.3

v1.1.6

* fixed notification issue on prepay
* core update to 1.2.2

v1.1.5

* changed paytext for prepay
* fixed storecode issue
* fixed prepay closed notification on sessionStatus change
* fixed prepay closed handling
* fixed logging issue on helper methods
* fixed loading external sources in storecode mode

v1.1.4

* fixed sepa and prepay email issue
* fixed path problems
* added debug log setting
* fixed double constructor issue
* fixed testmode=0 issue
* fixed empty option issue
* fixed currency check issue
* moved powered by into description

v1.1.3

* fixed naming issue for sofort
* added configurable ids for sepa and ccard
* added dynamic ids into executer js
* added js alert in case of missing ids
* added missing translations
* fixed wrong naming in language files for ccard
* fixed issue with saving sepa account data
* added paydirekt

v1.1.2

* fixed some missing translations

v1.1.1

* fixed amount problem on all web event payments

v1.1.0

* updated to new 3D Secure system
* added card remember functionality
* fixed some js issue in chrome
* code cleanup
* moved js code from tpl files to js files
* changed visa, mastercard and sepa logos

v1.0.0

* First version of plugin with paymethods: 
 - creditcard
 - sepa
 - prepay
 - sofort
 - paypal
 - paysafecard
 - handypay
 - call2pay
	 

## Merchant Setup


#### Project Setup
1. Setup project as usual.
2. Fill all fields and save the project.
3. After creation click again on new project row.
4. Copy and remember the project shortcut. (Kürzel)
5. We need this in the plugin later.

#### CreditCard API.Event
1. The only thing to setup is the Notify URL.
 
	Please set this to:

	https://shopurl.de/root-of-shop/micropayment/payment/responseCCard3D/
	
2. Click on **Read information on using the API** and mark the checkbox.
3. Click on **Save settings** and you are done.
4. Thats all for this paymethod.
	
#### Sepa API.Event
1. The only thing to setup is the Notify URL.
 
	Please set this to:

	https://shopurl.de/root-of-shop/micropayment/payment/responseSepa/
	
2. Click on **Read information on using the API** and mark the checkbox.
3. Click on **Save settings** and you are done.
4. Thats all for this paymethod.

#### PrePay API.Event
1. The only thing to setup is the Notify URL.
 
	Please set this to:

	https://shopurl.de/root-of-shop/micropayment/payment/responsePrepay/
	
2. Click on **Read information on using the API** and mark the checkbox.
3. Click on **Save settings** and you are done.
4. Thats all for this paymethod.


#### Sofort. Event
1. Here we need the API URL and some additional parameters.
2. Mark the checkbox **Activate payment method for XXXX**
3. Now the **API-URL** and the **Additional parameters**.
4. With a little trick we can handle this very easy.
5. Please copy this URL to **API-URL** and click on **Save settings**.

	https://shopurl.de/root-of-shop/micropayment/payment/response/?orderid=__$orderid__
	
	It will give you an error like:
**An error has occurred. We were unable to process your data**
and the field is marked as **Additional GET parameter contain invalid characters** but it will setup all needed parameters at once. 

6. Just another click on **Save settings** and you are done.

#### PayPal Event
1. Here we need the API URL and some additional parameters.
2. Mark the checkbox **Activate payment method for XXXX**
3. Now the **API-URL** and the **Additional parameters**.
4. With a little trick we can handle this very easy.
5. Please copy this URL to **API-URL** and click on **Save settings**.

	https://shopurl.de/root-of-shop/micropayment/payment/response/?orderid=__$orderid__&transactionId=__transactionId__
			
	It will give you an error like:
**An error has occurred. We were unable to process your data**
and the field is marked as **Additional GET parameter contain invalid characters** but it will setup all needed parameters at once. 

6. Just another click on **Save settings** and you are done.

#### PaySafeCard Event
1. Here we need the API URL and some additional parameters.
2. Mark the checkbox **Activate payment method for XXXX**
3. Now the **API-URL** and the **Additional parameters**.
4. With a little trick we can handle this very easy.
5. Please copy this URL to **API-URL** and click on **Save settings**.

	https://shopurl.de/root-of-shop/micropayment/payment/response/?orderid=__$orderid__
		
	It will give you an error like:
**An error has occurred. We were unable to process your data**
and the field is marked as **Additional GET parameter contain invalid characters** but it will setup all needed parameters at once. 

6. Just another click on **Save settings** and you are done.

#### Call2Pay Event
1. Here we need the API URL and some additional parameters.
2. Mark the checkbox **Activate payment method for XXXX**
3. Now the **API-URL** and the **Additional parameters**.
4. With a little trick we can handle this very easy.
5. Please copy this URL to **API-URL** and click on **Save settings**.

	https://shopurl.de/root-of-shop//micropayment/payment/response/?orderid=__$orderid__
		
	It will give you an error like:
**An error has occurred. We were unable to process your data**
and the field is marked as **Additional GET parameter contain invalid characters** but it will setup all needed parameters at once. 

6. Just another click on **Save settings** and you are done.

#### HandyPay Event
1. Here we need the API URL and some additional parameters.
2. Mark the checkbox **Activate payment method for XXXX**
3. Now the **API-URL** and the **Additional parameters**.
4. With a little trick we can handle this very easy.
5. Please copy this URL to **API-URL** and click on **Save settings**.

	https://shopurl.de/root-of-shop/micropayment/payment/response/?orderid=__$orderid__
		
	It will give you an error like:
**An error has occurred. We were unable to process your data**
and the field is marked as **Additional GET parameter contain invalid characters** but it will setup all needed parameters at once. 

6. Just another click on **Save settings** and you are done.

#### PayDirekt Event
1. Here we need the API URL and some additional parameters.
2. Mark the checkbox **Activate payment method for XXXX**
3. Now the **API-URL** and the **Additional parameters**.
4. With a little trick we can handle this very easy.
5. Please copy this URL to **API-URL** and click on **Save settings**.

	https://shopurl.de/root-of-shop/micropayment/payment/response/?orderid=__$orderid__
			
	It will give you an error like:
**An error has occurred. We were unable to process your data**
and the field is marked as **Additional GET parameter contain invalid characters** but it will setup all needed parameters at once. 

6. Just another click on **Save settings** and you are done.



#### Get Access Key
1. Click on **Setup** in the top navi and then click on **Accessskey**.
2. Copy this hash and remember it for the plugin later.
3. Setup is done so far.

---

## Installing and configure the plugin
1. First of all, copy the content of the plugin.zip via ftp uncompressed into the root of your magento. The plugin files and directories will be copied into the right place. Nothing will be overwritten.
2. Login into your Admin area.
3. Click on **System** and select **Configuration**.
4. If you uploaded the plugin correctly you should see a **Micropayment Logo** on the left navi.
5. Click on the logo.
6. Maybe there is a right problem (404 page) and you have to logout and re-login into the admin to see the adminpage.
7. After re-login you should be able to visit the page clicking on the logo.
8. Here you an setup the basic things of the plugin.
9. Now you can configure the payment methodes under **Sales -> Payment Methods**
10. Here you con activate and configure the payment methods.
11. Click on **Save Config** and the plugin is installed now.

---

## Test Credentials
#### VISA
	Number: 4111111111111111 
	CVV: 666 (success) with 3D Secure
	or
	CVV: 999 (success) without 3D Secure
	Date: something in future
	
#### MASTERCARD
	Number: 5105105105105100
	CVV: 666 (success) with 3D Secure
	or
	CVV: 999 (success) without 3D Secure
	Date: something in future

#### SEPA
	IBAN: DE89888888881234567890
	BIC: TESTDE00XXX
	Owner: Firstname Lastname

#### SOFORT
	BLZ: 88888888
	KTO: 1234567890
	PIN: 1234
	TAN: 12345
	
#### PREPAY
	Nothing special is needed.
	
#### PAYSAFECARD
	Nothing special is needed.
	
#### PAYDIREKT
	Amount:
	1-3 Euro		Successful with two factor auth
	4 - 500 Euro	Successful without two factor auth
	> 500 Euro	Failed
	
	Two Factor Auth:
	TAN:	123456
	
	User:	micropayment_SDE-Kaeufer 	
	Pass:	SDE-Kaeufer2$ 	
	Desc:	Success < 500 Euro

	User:	micropayment_unterAchtzehn
	Pass:	unterAchtzehn2$
	Desc:	Failed if customer age verification is set to over 18
	
	User:	micropayment_SperreKB
	Pass:	SperreKB2$
	Desc:	Failed due to issuing bank
	
#### PAYPAL
	You will need a special PayPal Sandbox account.
	Please contact our support.

#### CALL2PAY
	Nothing special is needed.
	
#### HANDYPAY
	PhoneNo. 88888888
	SMS-Code: 666
	
## FAQ

	Q: ...
	A: ...